Subject: [Plus] Fwd: New Version Notification for draft-trammell-plus-spec-01.txt

From: Mirja Kühlewind <[email-masked]>
Date: Mon, 20 Mar 2017 11:31:07 +0100

Hi all,

we submitted, last week already, a new version of the plus spec draft. We now added the extended header format which makes the protocol header descriptions complete. There are still a couple of todos, mostly related to the use and interoperation with the crypto scheme as well as information elements for the use with the extended header. Related to the first point there is also a new, very initial draft (https://datatracker.ietf.org/doc/draft-kuehlewind-crypto-sep/) that is proposing a complete separation of connections for encryption negotiation and the actual data transmission. That mostly is the assumption we already made for the plus design enabling encryption of the upper layer transport from the first packet.

We are experimenting with this protocol design for measurement use cases that would allow operator transport-independent basic measurement while exposing a minimum of information. Of course the extended header can also cover other use cases. If you have feedback or input, please let us know!

Mirja and Brian

> Anfang der weitergeleiteten Nachricht:
> 
> Von: [email-masked]
> Betreff: New Version Notification for draft-trammell-plus-spec-01.txt
> Datum: 13. März 2017 um 12:54:19 MEZ
> An: "Mirja Kuehlewind" <[email-masked]>, "Brian Trammell" <[email-masked]>, "Mirja Kühlewind" <[email-masked]>
> 
> 
> A new version of I-D, draft-trammell-plus-spec-01.txt
> has been successfully submitted by Mirja Kuehlewind and posted to the
> IETF repository.
> 
> Name:		draft-trammell-plus-spec
> Revision:	01
> Title:		Path Layer UDP Substrate Specification
> Document date:	2017-03-13
> Group:		Individual Submission
> Pages:		17
> URL:            https://www.ietf.org/internet-drafts/draft-trammell-plus-spec-01.txt
> Status:         https://datatracker.ietf.org/doc/draft-trammell-plus-spec/
> Htmlized:       https://tools.ietf.org/html/draft-trammell-plus-spec-01
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-trammell-plus-spec-01
> 
> Abstract:
>   This document specifies a common Path Layer UDP Substrate (PLUS) wire
>   image for encrypted transport protocols carried over UDP.  The base
>   PLUS header carries information for driving a minimal state machine
>   at middleboxes described in [I-D.trammell-plus-statefulness], and
>   provides optional exposure of additional information to devices along
>   the path using the mechanism described in
>   [I-D.trammell-plus-abstract-mech].
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>